UpdateGroupName#
The method changes a group chat name.
Request#
To change a group chat name, you have to execute a request at:
POST
{{apiUrl}}/waInstance{{idInstance}}/updateGroupName/{{apiTokenInstance}} For apiUrl, idInstance and apiTokenInstance request parameters, refer to Before you start section.
Request parameters#
| Parameter | Type | Mandatory | Description |
|---|---|---|---|
groupId | string | Yes | Group chat Id |
groupName | string | Yes | Group chat name. The maximum field length is 100 characters |
Request body example#
{ "groupId": "79876543210-1587570015@g.us", "groupName": "Group created by GREEN-API+" } Response#
Response parameters#
| Parameter | Type | Description |
|---|---|---|
updateGroupName | boolean | Group name change flag |
Response body example#
{ "updateGroupName": true } UpdateGroupName errors#
For a list of errors common to all methods, refer to Common errors section
| HTTP code | Error Id | Description |
|---|---|---|
| 200 | "updateGroupName": false | Incorrect groupId |
| 400 | Bad Request Validation failed | Validation error |
Request examples#
import requests url = "{{apiUrl}}/waInstance{{idInstance}}/updateGroupName/{{apiTokenInstance}}" payload = {( "groupId": "11011234567@g.us", "groupName":"Group created by GREEN-API") } headers = { 'Content-Type': 'application/json' } response = requests.post(url, json=payload) print(response.text.encode('utf8')) curl --location '{{apiUrl}}/waInstance{{idInstance}}/updateGroupName/{{apiTokenInstance}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "groupId": "120363043968066561@g.us", "groupName": "Group created by GREEN-API+" }' var restTemplate = new RestTemplate(); var requestUrl = new StringBuilder(); requestUrl .append({{apiUrl}}) .append("/waInstance").append({{idInstance}}) .append("/updateGroupName/") .append({{apiTokenInstance}}); var headers = new HttpHeaders(); headers.setContentType(MediaType.APPLICATION_JSON); var jsonBody = "{\"groupId\": \"111111112222222333333@g.us\",\"groupName\": \"Group created by GREEN-API+\"}"; var requestEntity = new HttpEntity<>(jsonBody, headers); var response = restTemplate.exchange(requestUrl.toString(), HttpMethod.POST, requestEntity, String.class); System.out.println(response); var requestUrl = new StringBuilder(); requestUrl .append({{apiUrl}}) .append("/waInstance").append({{idInstance}}) .append("/updateGroupName/") .append({{apiTokenInstance}}); var response = Unirest.post(requestUrl.toString()) .header("Content-Type", "application/json") .body("{\"groupId\": \"111111112222222333333@g.us\",\"groupName\": \"Group created by GREEN-API+\"}") .asString(); System.out.println(response); Sub UpdateGroupName() Dim url As String Dim RequestBody As String Dim http As Object Dim response As String ' The apiUrl, idInstance and apiTokenInstance values are available in console, double brackets must be removed url = "{{apiUrl}}/waInstance{{idInstance}}/updateGroupName/{{apiTokenInstance}}" ' groupId - group chat identifier, groupName - group chat name RequestBody = "{""groupId"":""120123400367448864@g.us"",""groupName"":""Group created by GREEN-API""}" Set http = CreateObject("MSXML2.XMLHTTP") With http .Open "POST", url, False .setRequestHeader "Content-Type", "application/json" .Send RequestBody End With response = http.responseText Debug.Print response ' Outputting the answer to the desired cell Range("A1").Value = response Set http = Nothing End Sub